Kerbal Space Program - Bug #24217

TD-25 Decoupler Contract Unable to be Completed
10/26/2019 01:23 AM - wboler

Status: Confirmed Start date: 10/26/2019
Severity: Low % Done: 10%
Assignee: just_jim
Category: Bug Tracker
Target version:
Version: 1.8.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description
Hi all,

Another bug was filed and closed for this by another user, but | believe | am still experiencing the bug. There seems to be a lot of
confusion in this mission that obfuscates the actual bug, but | believe I've isolated it. For my particular mission, | am to use the
TD-25 Decoupler in Orbit around Kerbin between 360,000m to 370,000m, via staging. | have tried this with two rocket designs, and
have repeatedly verified that | am doing it correctly. | have tried to activate the decoupler during both staging, and
right-click-activating with all green conditions met. Despite all attempts, the contract is never fulfilled. | have provided a video
illustrating an example of it not succeeding.

| am left to believe that this is either a bug, or | need to use the correct part sizes to accomplish the mission. | am less inclined to
believe the latter, due to being able to accomplish all other contracts successfully without needing an appropriate-looking staging
setup. Another possibility is that my program itself is corrupt, in which case | will also run Steam's integrity-check and re-evaluate for
the bug.

Video of Bug: https://youtu.be/uWbQRXiFCNc
Other Cancelled Issue: https://bugs.kerbalspaceprogram.com/issues/24213
Posts associated with Bug: https://steamcommunity.com/app/220200/discussions/0/1621724915771072984/

History

#1-10/26/2019 11:13 AM - just_jim

Can you attach a copy of your saved game, please?

#2 - 10/26/2019 08:16 PM - wboler
- File Break.zip added

Adding associated saved game.

#3 - 10/28/2019 06:17 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just_jim

- % Done changed from 0 to 10

Yes, there is something strange going on. I'm seeing the same issue.
As a work around you can use alt F/12 to complete the contract without taking a penalty.

#4 - 10/28/2019 06:17 PM - just_jim

- Project changed from Kerbal Space Program to KSP Release
- Category changed from Bug Tracker to Bug Tracker

- Resolve when Fixed On set to Single Reported Platform

- Language deleted (English (US))
#5 - 10/28/2019 06:43 PM - just_jim

- Project changed from KSP Release to Kerbal Space Program
- Category changed from Bug Tracker to Bug Tracker

- Resolve when Fixed On deleted (Single Reported Platform)

- Language English (US) added

Files

Break.zip 315 KB 10/26/2019 wboler
